Sat Feb 26 00:26:55 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdediroperator.cpp:
	lottsa changes, e.g. action handling more clear now.
	fixed completed item not clearning the previous selection

	* tdefileviewitem.cpp:
	fixed unreadable pixmap not shown, when files were deleted

	* tdefiledialog.cpp (selectedURLs): 
	re-enabled the hack to support multi-selection, until we have something
	better

	* kcombiview.*:
	forward the sorting to the right view (or should it apply to the dir-
	view as well?) Sort of broken tho.

Sun Feb 20 01:50:44 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdediroperator.*, tdefiledialog.* (saveConfig): 
	implemented loading, saving and applying configuration

	* tdefiledialog.cpp (setURL): 
	KDirComboBox is now a combo for recent directories as well as the
	root-dir, home-dir and Desktop-dir.
	Recent dirs will be saved in kdeglobals.

Fri Feb 18 23:35:04 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefilefilter.cpp (eventFilter): 
	intercept Key_Return and Key_Enter in the filter-combo and emit
	filterChanged instead of letting the dialog close

Thu Feb 17 19:09:54 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefiledialog.{cpp,h} (KDirComboBox): 
	Added KDirComboBox and replaced the directory combobox with it. It
	even does something now :) Items need to be indented tho.

	* tdefilereader.cpp, tdediroperator.{cpp,h}: 
	fixed showHidden default

Tue Feb 15 14:21:41 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefile.h (class KFile): 
	added a small class that contains all the enums now.
	cleaned up the enums (hope not too many apps will be broken)
	added flags for "Existing files only" and "local files only"

	* all views (setSelected()):
	replaced highlightItem(item) with setSelected(item, bool) which makes
	it more suitable and more consistent with Qt.
	added selectionChanged() method (necessary for multiselection)

	* tdefileview.*:
	added invertSelection()

	* tdefiledialog.cpp:
	made it work with multiselection
	added static methods for multiselection
	added getOpenURL(), getOpenURLs and getSaveURL()
	
	* tdediroperator.cpp (setSorting): 
	added setSorting() and sorting() to keep sorting when switching views
	a few cosmetic and TDEAction changes

Sun Feb 13 00:45:12 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefiledialog.cpp (completion): 
	small fix: completion and auto-directory following works also
	without protocol-part in the location.

Sat Feb 12 15:30:40 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefileview.h:
	made setSorting() and sortReversed() virtual so that subclasses
	can intercept that to show sorting order
	
	* tdefiledetailview.cpp,h (setSortIndicator): 
	enable header-clicking again to set the sorting

Fri Feb 11 12:17:59 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefiledialog.cpp (KFileDialog): 
	fixed filefilter not being applied in constructor

Thu Feb 10 17:06:36 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdediroperator.cpp (connectView): 
	- Now that TDEToggleAction is fixed, I can commit the new stuff:
	  Offer Actions for all the common functionality, i.e. sorting, setting
	  the view, home(), cdUp(), back, forward, etc.
	  All actions are exposed through a QActionCollection

	  BTW, I'd really like to have a way to change the state of an action
	  without it calling the associated slot. For now I use blockSignals()
	  (thanks, Simon), but this sucks.
	
	- renamed fileList to fileView (that was an old relic of KDE 1)

	* tdefiledialog.*:
	- make use of the new Actions and fill the toolbar again (up, back, 
	  forward, reload, home).

	- the combo in the toolbar is going to change, it does nothing now
	  (only shows the Root and Desktop dirs with a nice icon).

Thu Feb 10 12:59:29 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdediroperator.cpp (insertNewFiles): 
	aahhh, finally fixed that infinite loop in KFileView::mergeLists
	clear the view before calling view->addItemList( currentContents );

	* tdefilereader.cpp (setURL): 
	don't disable dirWatch update (setAutoUpdate) when setting a remote URL

Fri Feb  4 12:42:37 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefiledetailview.cpp (insertItem): 
	- don't let QListView sort the items
	  I disabled clicking at the headers for now, will fix that later
	- don't flicker on mimetype-pixmap update

Thu Feb  3 12:15:16 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefileview.h + all views where necessary
	added selectAll()
	added isSelected( const KFileViewItem * )
	added const KFileViewItemList * selectedItems()
	added const KFileViewItemList * items()

	spiced up documentation of KFileView a bit

Sun Jan 30 22:20:14 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefileviewitem.cpp (pixmap): 
	fixed some issues for different pixmap sizes

	* tdefileiconview.{h,cpp} (setPixmapSize):
	added configurability for different pixmap sizes

Sun Jan 30 16:49:12 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefileview.h + all views:
	A view can now have a name (setViewName() and viewName())
	This is useful to differentiate views and to display the names in a
	popupmenu for switching between views.

Sun Jan 30 12:41:04 2000  Werner Trobin  <wtrobin@carinthia.com>
	The preview mode works again. It's very similar to the Qt-2.1 QFD
	preview mode - but it's not totally the same. There are some rough
	edges which have to be ironed out, but it works :)
	For further information, see tdefilepreview.*
	Note: kpreview and so on are obsolete (IMHO)
	
Sat Jan 29 15:33:37 2000  Carsten Pfeiffer  <pfeiffer@kde.org>

	Time to add some changelogs again, all the recent hard work of the 
	restructuring is only in CVS-log...

	* tdefileview.cpp (compareItems): 
	- added support to disable sorting directories first (QDir::DirsFirst)
	- added support to sort by date and to sort reversed
	- removed unused findCompletion method
	- sort case insensitive by default
	- some optimization for mergeList
	- fixed infinite loop in mergeLists, when the lists are the same
	  (I think another one is still there, but I'm tired now)
	- changed setSortMode stuff: Switching-mode replaced with 
	  sortReversed(). The enum Switching will be removed, soon.
	- made setSortMode public

	* tdefileviewitem.cpp:
	- added time_t mTime() to enable sorting by modification time
	
	* tdediroperator.cpp:
	- offer sorting options in popupmenu
	- use checkAccess before creating directories. I guess this will again
	  change when the new kio will be used, tho. 
	- show progress widget at the bottom (otherwise the header of e.g.
	  the detail-view would be covered).
	- Added LGPL copyright header
	
	* tdefilewidget.cpp (connectSignals):
	- connect to all signals of KDirOperator
	- directly connect SIGNAL to SIGNAL -> removed slotFileHighlighted etc.
	- fixed some sorting/merging bugs

	* {tdefiledialog,kdiroperator}.{cpp,h};
	- support for disabling chdir (some apps may not want KFileDialog /
	  KFileReader change the working directory under their feet)
	- Added LGPL header in cpp-file

	* tdefilereader.cpp (stat):
	- fixed: some special files were recognized as directories

	* kfstest.cpp:
	- added test for KFileWidget (widget -> KFileWidget, 
	  diroperator -> KDirOperator)
	
Sun Oct 31 00:56:23 1999  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefileinfo.cpp (readUserInfo): Don't call getpwnam() and getgrgid()
	all the time over and over again! This opens and parses /etc/passwd
	or /etc/group with every call!
	Now we load /etc/passwd and /etc/group once and store the interesting 
	stuff in static QMaps, which need to be freed with KFileInfo::cleanup()
	cleanup() is called from KFileBaseDialog's destructor.
	
	This speeds up KFileDialog a LOT!

Sat Oct 23 01:55:00 1999  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefiledetaillist.cpp (key): hopefully implemented correct mapping
	from KFileInfo to QListViewItem and back. I had a hard time convincing
	QListView that KFileInfoContents knows best where to insert an item
	Now the detaillist is even usable :)
	Fixed a problem with selection and highlighting
	Disable clicking on listview headers that can't be used for sorting

	* tdefileinfocontents.cpp (setSorting): call insertItem() with a correct
	(is it?) index, instead of -1

Thu Oct 21 23:18:54 1999  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefiledialog.cpp (init): removed "[development only] from tooltip
	(sorry to break the translations, but this HAD to go)

	* don't update anything when leaving the configure-dialog with Cancel

Wed Oct 20 15:07:16 1999  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefileinfo.cpp,h: implemented KFileInfo::filePath() and fixed 
	KFileInfo::absURL() not being set in some cases
	
	* kdir.cpp: fixed a buglet in the path (double slashes)

	* tdefiledetaillist.cpp (KFileDetailList): improved selecting files
	(single click, double click, Return-key)
	but the mapping from QListViewItem to KFileInfo is still quite broken
	
1999-06-09  Woohyun JANG <louis@mizi.co.kr>

	* kdir.cpp: used QString::local8Bit() instead of QString::ascii() 
	for file names and directory names.

	* tdefiledialog.cpp: used QStringList instead of QStrIList. 

1999-01-14  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: fixed some GUI problems and moved all default
	configurations into config-tdefile.h. 
	Changed some default values, so that users that never looked into
	the config dialog gets a nice suprise with 1.1 ;-)

	* tdefiledialog.cpp: changed selectedFile to return decoded path instead
	of encoded one

Thu Jan  7 23:14:39 1999  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefilesimpleview.cpp (keyPressEvent): fixed segfault on keypress,
	when there were no files at all in the list

1998-12-19  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: fixing an ugly bug when "." is used as argument

Mon Dec 14 23:00:41 1998  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefilebookmark.cpp: renamed class KBookmark to KFileBookmark to 
	avoid problems with KFM's KBookmark class. Renamed bookmark.* to
	tdefilebookmark.*, too and changed all occurrences of bookmark.* to
	tdefilebookmark.* (especially all the .po-files)

Wed Dec  2 15:59:13 1998  Carsten Pfeiffer  <pfeiffer@kde.org>

	* tdefilesimpleview.cpp: Fixed some more keyboard navigation bugs.
	Added method isColCompletelyVisible( int col ), now you can scroll
	perfectly to make items completely visible.
	Moreover, in resizeEvent() the number of columns was not calculated 
	correctly in a special case.
	And the currently selected item is rehighlighted correctly after
	resizing, now.

1998-10-12  Jochen Küpper  <jochen@uni-duesseldorf.de>

	* tdefiledialog.cpp (okPressed): Changed okPressed to store the correct
	filename before leaving the dialog.

1998-06-07  Stephan Kulow  <coolo@kde.org>

	* tdefilesimpleview.cpp: added some checks to prevent division with
	zero using the latest qt snapshots

	* tdefilesimpleview.cpp: added a repaint call after a resize

	* tdefiledialog.cpp: new experimental button order

	* tdefiledialog.cpp: added lastDirectory to remember the last visited
	directory for next open

1998-05-24  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: use setSelection also for the initial filename
	given

	* tdefiledialog.cpp: introduced KFileFilter to make an abstraction
	for the used filter widget. Currently only QComboBox is supported,
	but this may change in the future
	
1998-05-20  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: changed the accelerator for completion 
	to CTRL-T

	* tdefiledialog.cpp: fixed the setSelection() feature

1998-05-19  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.h: added setSelection

1998-05-18  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: bugfixes

1998-05-15  Stephan Kulow  <coolo@kde.org>

	* tdefileinfocontents.cpp: some more changes and speed ups 
	(caching and some other little things)

1998-05-14  Stephan Kulow  <coolo@kde.org>

	* tdefileinfocontents.cpp: added addItemList 

	* tdefileinfocontents.h: introduced KFileInfoContentsSignaler

	* tdefileinfocontents.cpp: some more speed improvment

1998-05-10  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: tried to speed up the refresh

1998-04-17  Stephan Kulow  <coolo@kde.org>

	* tdefiledetaillist.cpp: implemented the date field
	
	* tdefiledetaillist.cpp: made the columns wider

	* tdefileinfocontents.cpp: use the new icons by Mark

Thu Apr 16 10:51:24 1998  Daniel Grana <grana@ie.iwi.unibe.ch>

	* tdefiledialog.*: some small fixes concerning preview
        
        * tdefileinfocontents.cpp: fixed sorting bug in preview
        
        * tdefilepreview.*: small bug fixes
        
        * kpreview.*: small bug fixes
        
        * added some documentation

1998-04-15  Stephan Kulow  <coolo@kde.org>

	* tdefilepreview.cpp: use a list box instead of simple view

	* tdefiledialog.cpp: fixed an ugly bug

1998-04-14  Stephan Kulow  <coolo@kde.org>

	* tdefiledialogconf.cpp: removed the width/height sliders
	
	* tdefiledialog.cpp: save the width and height on exit

	* tdefiledialogconf.cpp: added more guys to the about box

	* tdefiledialog.h: removed init*Children. They were useless

	* tdefiledialog.cpp: set the default size to a useful value

Mon Apr  6 17:30:18 1998  Daniel Grana <grana@ie.iwi.unibe.ch>

	* tdefilepreview.*: restructured previewing, one can now easily
        use custom previewers, dynamically
        
        * kpreview.*: changes for allowing custom previewers, two previewers
        are hardcoded so far

	* tdefiledialog.*: changes changes for allowing custom previewers
        
        * kfstest.cpp: changes to preview mode
        
        * xview.*: QimageIO module allowing the visual-schnauzer generated
        images to be loaded

1998-04-06  Stephan Kulow  <coolo@kde.org>

	* debug.h: added debugC. An empty macro to hide debug output

Thu Apr  2 19:39:37 1998  Daniel Grana <grana@ie.iwi.unibe.ch>

	* kpreview.*: widget which for now shows some info about a 
        file/folder along with the first 20-30 lines of it
        
        * tdefilepreview.*: added a new view which has a preview of any text
        file in the right part
        
        * kfstest.cpp: added the new mode "preview" which shows the above 
        view

1998-03-30  Stephan Kulow  <coolo@kde.org>

	* tdefilesimpleview.cpp: fixed highlightning

	* tdefiledialog.cpp: some fixes for the dir selection

	* tdefiledialog.h: Moved KFileDialog into KFileBaseDialog and made
	KFileDialog and KDirDialog a derived class of KFileBaseDialog to
	make this virtual functions work

Mon Mar 30 17:53:20 1998  Daniel Grana <grana@ie.iwi.unibe.ch>

        * kcombiview.cpp: bug fixes for completion & corresponding
        highlighting

        * tdefiledialog.cpp: small bug fix, too much copying into location

        * tdefileinfocontents.cpp: completion slightly remodeled, should
        work in all views now

        * tdefileinfocontents.h: changed nameList to case insensitive
        list
                    
1998-03-28  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: changed the filter separator to \n. 
	This looks nicer in the source code of the call

Sat Mar 28 14:49:00 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: changed the meaning of the dirName argument

	* tdefiledialog.h: added getShowFilter

Thu Mar 26 12:47:42 1998  Stephan Kulow  <coolo@kde.org>
	
	* tdefilesimpleview.cpp: improved scrolling in simple view

	* tdefileinfocontents.cpp: add a / after a found dir

	* tdefiledialog.cpp: fixed bug for !showFilter

Wed Mar 25 18:39:09 1998  Daniel Grana <grana@ie.iwi.unibe.ch>

	* tdefileinfocontents.cpp: completion now working
        
        * kcombiview.cpp: changed behavior for completion, it
        now highlights completed directory and file                
        
Tue Mar 24 16:08:46 1998  Daniel Grana <grana@ie.iwi.unibe.ch>

	* tdefileinfocontents.cpp: sorting now fully working
        
        * tdefiledialog.cpp: modifications for sorting in the on the
        fly reconfiguration
        
        * tdefileinfocontents.*: modification to the constructor 
        to pass along the sorting
        
        * tdefiledetaillist.*: modification to the constructor 
        to pass along the sorting
        
        * kcombiview.*: modification to the constructor 
        to pass along the sorting

        * tdefilesimpleview.*: modification to the constructor 
        to pass along the sorting

Tue Mar 24 10:45:15 1998  Daniel Grana <grana@ie.iwi.unibe.ch>

	* tdefileinfocontents.cpp: sorting fixed, the feature of keeping 
        directories grouped is still missing though

Mon Mar 23 22:59:18 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledetaillist.h: added acceptsFiles() and acceptsDirs() to
	make dirs-only views useful
	
	* tdefileinfocontents.cpp: OK, completion is back again, but 
	currently not working, because the code is missing ;-)

Mon Mar 23 00:08:02 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: moved all GM related things into initGUI() to
	make recreation possible

Sun Mar 22 00:22:46 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: use KShellProcess now

	* tdefiledialog.h: added virtual function initFileList to made 
	KFileDialog customable

	* tdefiledialog.cpp: show a combo box, in case more filters are given

	* tdefiledialog.cpp: some bug fixes. I can't get the sorting to work

	* Makefile.am: install some toolbar pixmaps

	* tdefiledetailview.cpp: added pixmaps to the detail view

	* Kfiledialog.cpp: made KComboView customable through virtual 
	functions

	* kcombiview.cpp: took out the completion for now, added
	kcombiview and some little changes in setCurrentItem
	
	* kdirlistbox.cpp: fixed the use of single click

	* kdir.h: moved the header files a little bit to remove 
	some dependencies

	* kdirlistbox.cpp: KDirListBox is now a KFileInfoContents too

	* tdefiledialog.cpp: another change in the API. It uses now QSignal.
	I didn't liked the old way

1998-03-21  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: implemented mixDirsAndFiles. Need some work and currently 
	only supported by the simple view

Sat Mar 21 01:00:48 1998  Stephan Kulow  <coolo@kde.org>

	* tdefilesimpleview.cpp: added pixmaps to indicate access on the file

	* tdefilesimpleview.cpp: improved keyboard navigation

	* tdefilesimpleview.cpp: first almost working simple view

	* tdefilesimpleview.cpp: started implementing a simple view. Needs
	still some work
	

Fri Mar 20 22:42:31 1998  Stephan Kulow  <coolo@kde.org>

	* tdefileinfocontents.h: bugfixes

	* tdefileinfo.cpp: KFileInfo is no longer a derived class of
	QFileInfo. This should reduce memory use too

	* tdefileinfocontents.h: moved the actual sorting in
	KFileInfoContents. Derived classes are for viewing only

	* tdefiledialog.h: fixed some header files locations

1998-03-20  Stephan Kulow  <coolo@kde.org>

	* tdefileinfo.cpp: show lockedfolder.xpm for folders, that are not
	allowed to enter or read

	* tdefiledialog.cpp: bug fixes

Fri Mar 20 13:10:11 1998 Daniel Grana <grana@ie.iwi.unibe.ch>
	* kfilgdialog.*, remodeled the configuration dialog to reflect the 
        current possible settings
        * tdefiledetailList.cpp: added the PageUp PageDown navigation 

1998-03-19  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: fixed the forward/back back reported by 
	Stefan Tafener

1998-03-18  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: set the initial focus to the line edit

	* tdefiledialog.cpp: use kapp->invokeHTMLHelp now
	
	* tdefiledialog.h: removed treeList, since it's not implemented

Wed Mar 18 02:56:32 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledetaillist.cpp: fixed sorting again

1998-03-17  Stephan Kulow  <coolo@kde.org>

	* added a virtual class KInfoListContent to make an abstraction 
	for the file contents. Currently there is just one implementation
	KFileDetailList

1998-03-16  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: don't accept the first entry of the combo 
	box as a file name

	* tdefiledialog.cpp: added an accelerator for completion, since 
	KCombo no longer emits such a thing (currently CTRL-A)
	
	* kdir.cpp: disable parent button in /

	* tdefiledialog.cpp: fixed layout of mkdir dialog

	* kdir.cpp: use currentDir instead of homeDir as default

	* tdefiledialog.cpp: added member acceptOnlyExisting and set it 
	for now to always false. I guess, we need an extra parameter for this
	
	* tdefiledialog.cpp: changed dirList and fileList to fix the 
	focus handling
	
	* tdefileinfolistwidget.cpp: added focus handling

	* tdefileinfolistwidget.cpp: added keyevent handling to handle 
	cursor and enter 

	* tdefiledialog.cpp: changed the filter edit to a QLineEdit, since 
	we don't need the completion, but the tabing for focus changes
	
Mon Mar 16 11:36:07 1998 Daniel Grana <grana@ie.iwi.unibe.ch>
	* added create directory, pops up a modal dialog, should add
        a mkdir method to kdir in near future

Mon Mar 16 20:04:00 1998  Martin Jones <mjones@kde.org>
	* Added booktoken.* to remove dependancy on tdehtmlw and jscript

Thu Mar 12 09:32:06 1998  Daniel Grana <grana@ie.iwi.unibe.ch>
	* worked on the dir and file completion, should do both now,
	text in the location box will be added as much as possible
	(right now it's the lowest denominator of dir&file&location-text)
	* added sorting for the detailed list, so far only name and size
	sorting implemented
	* added single click selection for directories
	* added a status line, which shows the number of directories and 
	files showed

Thu Mar 12 00:36:05 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: made a library out of the file selector
	* tdefiledialog.cpp: added an extra parameter acceptURLs to seperate
	between getOpenFileName and getOpenFileURL

Sun Feb 15 23:13:47 1998 Richard Moore <rich@kde.org>
	
	* More work on the bookmarks - they should work properly now, you
	must create the directory ~/.kde/share/apps/tdeui to store the
	bookmarks in.
	
	* Regenerated docs

Thu Feb 12 17:27:51 1998  Stephan Kulow  <coolo@kde.org>

	* tdefileinfo.cpp: added determination of group and other things to 
	be display the correct values in the tdefileinfolistwidget

Thu Feb 12 16:01:44 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: removed the #ifdef code. Now the combo box for
	the path is the only option

Tue Feb 10 01:09:16 1998  Richard Moore <rich@kde.org>

	* Added details widget - this is currently selected by a config
	file entry, but it there should be a toolbar button. Many changes
	to tdefiledialog to allow the switch (need an abstract fileview class).

Fri Feb  6 18:08:14 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: replaced the location lineedit with an combo
	box. Currently configurable with a compiler define. 

Fri Feb  6 17:07:26 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: fixed the en- and decoding of URLs. Now it's
	possible to move into directories called "sdasd#sdsd" for example

Sat Jan 24 17:18:10 1998  Mario Weilguni  <mweilguni@sime.com>

	* fixed a bug in kdir.cpp/parsePermissions()

	* implemented error handling for KFM URL errors

Tue Jan 20 00:51:55 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: some fixes to make kfm support more robust

Mon Jan 19 01:10:11 1998  Stephan Kulow  <coolo@kde.org>

	* kdir.cpp: re-added ftp support 

	* tdefiledialog.cpp: take care of the case, when the user enters a
	complete filename

	* kdir.cpp: added isReadable() to indicate, that the dir is not
	correct
	
	* tdefiledialog.cpp: played a little bit with the geometry management


Sun Jan 18 15:00:06 1998  Stephan Kulow  <coolo@kde.org>

	* tdefiledialog.cpp: - back/forward work now as expected
	  - show the correct filter
	  - the combo box works now as expected

	* kdir.cpp: check if the directory is correct (for local
	files). If not, go back to the old value

	* tdefiledialog.cpp: - disable parent button, when in root
	  - treat the case, that the URL ends with "/"
	  - strip white spaces out of the location text

	* tdefileinfo.cpp: don't insert broken links

	* tdefiledialog.cpp: just set the dir, if it's different
	from the already set one

Sun Jan 18 11:53:32 1998  Mario Weilguni  <mweilguni@sime.com>

	* symbolic links to subdirectories are now correctly reported as
	directories

	* symbolic links are show as italic text

	* The toolbar button "Home" works now as expected
